/*
** EPITECH PROJECT, 2019
** Global Game Jam 2019
** File description:
** panel.cpp
*/

#include "panel.hpp"
#include <iostream>
#include <SFML/Graphics.hpp>

GamePanel::GamePanel(const std::string &fileName)
{
    std::ifstream file(fileName);

    if (!file.is_good())
        file.open("resources/error.murphy");
    createTexture(line);
    createChoices(choices);
    createText(text);
}

GamePanel::~GamePanel(void)
{
}

sf::Text GamePanel::getText(void)
{
    return _Text;
}

sf::Texture GamePanel::getTexture(void)
{
    return _Texture;
}

std::vector<std::pair<std::string &, std::string &>> GamePanel::getChoices(void)
{
    return _Choices;
}

void GamePanel::createTexture(const std::string &line)
{
    std::cout << file << std::endl;
}

void GamePanel::createChoices(const std::string &lines)
{
    std::cout << file << std::endl;
}

void GamePanel::createText(const std::string &text)
{
    std::cout << file << std::endl;
}
